Solutions API
Solutions can be run from your own application using Unaric Report's API. You can use this, for example, to have your application run a Solution every time a new user signs up.
How it works
To run a Solution, send an HTTP request to the API endpoint below. When a Solution is run using the Solution API, the Running User will be the Running User that is configured on the Solution. Also, the API Keys that are sent in the API Call must belong to the owner of the Solution.
Endpoint
HTTP GET
Include parameters in the query string:
GET https://reportbuilder.cloud4j.com/api/solution/SOLUTION_ID?apiAccessKeyId=API_ACCESS_KEY_ID&apiSecretAccessKey=API_SECRET_ACCESS_KEY&filterValue=FILTER_VALUE&CustomParameter=customParameterHTTP POST
If you are using POST then don't add the parameters to the URL but instead to the request body:
POST https://reportbuilder.cloud4j.com/api/solution/SOLUTION_IDParameters
Required parameters
Parameter | Description |
|---|---|
SOLUTION_ID | The ID of the Solution (example: 99610). |
apiAccessKeyId | Your API Access Key ID. |
apiSecretAccessKey | Your API Secret Access Key. |
Optional parameters
Parameter | Description | When to use |
|---|---|---|
filterValue | Value used to filter the report. | Only applicable when using bursts. |
runAsUserId | Salesforce User ID to run the Solution as a specific user. | Only allowed if the Solution owner has View All Data permission. |
CustomParameter | A custom value used for additional processing. | Can contain any value you define. |
Generate API keys
Go to Configure > Settings and click the Generate API Access Keys button. This will generate an API Access Key ID and an API Secret Access Key. Copy and store the API Secret Access Key in a safe location, as it will only be shown once.